Client server startup
Update Variable
Updates the specified variable
PUT
/api/client/servers/{server}/startup/variableAuthorization
ClientToken AuthorizationBearer <token>
Client API key (generated at /account/api)
In: header
Path Parameters
server*string
Server identifier (short 8-character ID)
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/client/servers/1a7ce997/startup/variable" \ -H "Content-Type: application/json" \ -d '{ "key": "SERVER_JARFILE", "value": "server.jar" }'{ "object": "egg_variable", "attributes": { "name": "Server Jar File", "description": "The name of the server jarfile to run the server with.", "env_variable": "SERVER_JARFILE", "default_value": "server.jar", "server_value": "server.jar", "is_editable": true, "rules": "required|regex:/^([\\w\\d._-]+)(\\.jar)$/" }}